com.atid.lib.module.barcode.ssi.type

## Enum GS1DataBarLimitedSecurityLevel

- java.lang.Object
- - java.lang.Enum<GS1DataBarLimitedSecurityLevel>
  - - com.atid.lib.module.barcode.ssi.type.GS1DataBarLimitedSecurityLevel

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<GS1DataBarLimitedSecurityLevel>

      public enum GS1DataBarLimitedSecurityLevel
      extends java.lang.Enum<GS1DataBarLimitedSecurityLevel>
      implements IEnumType

  The decoder offers four levels of decode security for GS1 DataBar Limited bar codes. There is an inverse relationship between security and decoder aggressiveness. Increasing the level of security may result in reduced aggressiveness in scanning, so only choose the level of security necessary.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Level1` No clear margin required.
    `Level2` Automatic risk detection.
    `Level3` Security level reflects newly proposed GS1 standard that requires a 5X trailing clear margin.
    `Level4` Security level extends beyond the standard required by GS1.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static GS1DataBarLimitedSecurityLevel` | `valueOf(int code)`
    `static GS1DataBarLimitedSecurityLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GS1DataBarLimitedSecurityLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Level1

          public static final GS1DataBarLimitedSecurityLevel Level1

      No clear margin required. This complies with the original GS1 standard, yet might result in erroneous1 decoding of the DataBar Limited bar code when scanning some UPC symbols that start with the digits “9” and “7”.

    - #### Level2

          public static final GS1DataBarLimitedSecurityLevel Level2

      Automatic risk detection. This level of security may result in erroneous decoding of DataBar Limited bar codes when scanning some UPC symbols. If a misdecode is detected, the decoder operates in Level 3 or Level 1.

    - #### Level3

          public static final GS1DataBarLimitedSecurityLevel Level3

      Security level reflects newly proposed GS1 standard that requires a 5X trailing clear margin.

    - #### Level4

          public static final GS1DataBarLimitedSecurityLevel Level4

      Security level extends beyond the standard required by GS1. This level of security requires a 5X leading and trailing clear margin.

  - ### Method Detail

    - #### values

          public static GS1DataBarLimitedSecurityLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GS1DataBarLimitedSecurityLevel c : GS1DataBarLimitedSecurityLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GS1DataBarLimitedSecurityLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<GS1DataBarLimitedSecurityLevel>`

    - #### valueOf

          public static GS1DataBarLimitedSecurityLevel valueOf(int code)